﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Ai
{
    public class AiVisitBackDto
    {
        public string BatchUid { get; set; }

        public string BatchName { get; set; }

        public string SceneUid { get; set; }

        public string SenceName { get; set; }

        public string TaskUid { get; set; }

        public string CalledNumber { get; set; }
        /// <summary>
        /// 任务状态( 1 :待执行、2 :暂停中、3 :执行中、4 :失效、5 :呼叫失败 、6：已结束（完成或取消）)
        /// </summary>
        public int TaskStatus { get; set; }

        public string CallTimes { get; set; }

        public List<CallRecordDto> CallRecordList { get; set; }
    }

    public class CallRecordDto
    {
        public int CallNo { get; set; }

        /// <summary>
        /// 呼叫状态(1:呼叫中、2:完成、3:呼叫失败)
        /// </summary>
        public int CallStatus { get; set; }

        /// <summary>
        /// 回访结果 (1成功、2:不涉及、3:失败)
        /// </summary>
        public int ReturnVisit { get; set; }

        public List<QuestionnaireResult> QuestionnaireResult { get; set; }
    }

    public class QuestionnaireResult
    {
        public string QuestionId { get; set; }

        public string QuestionChoice { get; set; }

        public string QuestionResult { get; set; }
    }
}
